---
title: Accept-Ranges
slug: Web/HTTP/Headers/Accept-Ranges
tags:
  - HTTP
  - HTTP Header
  - Range Requests
  - Reference
  - Response Header
---
<div>{{HTTPSidebar}}</div>

<p>The <code><strong>Accept-Ranges</strong></code> response HTTP header is a marker used by the server to advertise its support of partial requests. The value of this field indicates the unit that can be used to define a range.</p>

<p>In presence of an <code>Accept-Ranges</code> header, the browser may try to <em>resume</em> an interrupted download, rather than to start it from the start again.</p>

<table class="properties">
	<tbody>
		<tr>
			<th scope="row">Header type</th>
			<td>{{Glossary("Response header")}}</td>
		</tr>
		<tr>
			<th scope="row">{{Glossary("Forbidden header name")}}</th>
			<td>no</td>
		</tr>
	</tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Accept-Ranges: &lt;range-unit&gt;
Accept-Ranges: none</pre>

<h2 id="Directives">Directives</h2>

<dl>
	<dt><code>&lt;range-unit&gt;</code></dt>
	<dd>Defines the range unit the server supports. Though <code>bytes</code> is the only range unit formally defined by {{RFC("7233")}}, additional range units may be registered in the<a href="https://www.iana.org/assignments/http-parameters/http-parameters.xhtml#range-units"> HTTP Range Unit Registry</a>. </dd>
	<dt><code>none</code></dt>
	<dd>No range unit is supported, this makes the header equivalent of its own absence and is therefore rarely used, though some browsers, like IE9, it is used to disable or remove the pause buttons in the download manager.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>Accept-Ranges: bytes
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Title</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{RFC("7233", "Accept-Ranges", "2.3")}}</td>
			<td>Hypertext Transfer Protocol (HTTP/1.1): Range Requests</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Accept-Ranges")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>{{HTTPHeader("If-Range")}}</li>
	<li>{{HTTPHeader("Range")}}</li>
	<li><a href="https://www.iana.org/assignments/http-parameters/http-parameters.xhtml#range-units">IANA HTTP Range Unit Registry</a></li>
</ul>
